import gtk



class CalLabel(gtk.VBox):

    def __init__(self, n_horiz, n_vertic, homogeneous):

        gtk.VBox.__init__(self, homogeneous, 0)

        self.__labels = []

        for y in xrange(n_vertic):
            hbox = gtk.HBox(homogeneous, 0)
            hbox.show()
            self.add(hbox)

            for x in xrange(n_horiz):
                lbl = gtk.Label("")
                lbl.show()
                hbox.add(lbl)
                self.__labels.append(lbl)
            #end for
            
        #end for




    def get_label(self, index):

        return self.__labels[index]



    def set_spacing(self, horiz, vertic):

        gtk.VBox.set_spacing(self, vertic)
        for c in self.get_children():
            c.set_spacing(horiz)
